# Repos Object

> Source: https://truto.one/docs/api-reference/unified-ci-cd-api/repos/

Schema for the `Repos` resource in **Unified CI/CD API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the repository
- **`name`** _(string)_
  The name of the repository
- **`description`** _(string)_
  The description of the repository
- **`owner`** _(string)_
  The owner of the repository
- **`owner_type`** _(string)_
  The type of the owner of the repository
  Allowed: `user`, `org`
- **`visibility`** _(string)_
  The visibility of the repository
  Allowed: `public`, `private`, `internal`
- **`vcs_url`** _(string)_
  The VCS URL of the repository
- **`status`** _(string)_
  The status of the repository
  Allowed: `active`, `inactive`
- **`default_branch`** _(string)_
  The default branch of the repository
- **`created_at`** _(string)_
  The date and time when the repository was created
- **`updated_at`** _(string)_
  The date and time when the repository was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ci-cd/repos](/docs/api-reference/unified-ci-cd-api/repos/list) — List Repos
- [GET /unified/ci-cd/repos/{id}](/docs/api-reference/unified-ci-cd-api/repos/get) — Get Repos
